Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453067 - Space between consecutive tags within a para is ignored in the output.
Summary: Space between consecutive tags within a para is ignored in the output.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 1.6
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 02:31 UTC by Josh Oakes
Modified: 2010-11-24 04:19 UTC (History)
2 users (show)

Fixed In Version: 0.34
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-01 05:35:08 UTC


Attachments (Terms of Use)

Description Josh Oakes 2008-06-27 02:31:14 UTC
Description of problem:

When two tags within a para appear one after the other with no other data in
between (besides space), any space between the tags is ignored and the output
displays as one word with the missing space in the middle. 

For example, the para below has two consecutive <systemitem> tags. The space
between them is ignored and the output displays as "LinuxNFS" when it should be
"Linux NFS".

<para>
The <systemitem class="osname">Linux</systemitem> <systemitem
class="service">NFS</systemitem> implementation still has limited encryption
type support. 
</para>

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeff Fearn 🐞 2008-07-01 05:35:08 UTC
White space removal code was being too aggressive.


Note You need to log in before you can comment on or make changes to this bug.